Actualizar kernel a OpenSUSE 13.1

Bueno, como muchos deben saber, la nueva versión de OpenSUSE viene con un kernel algo anticuado, linux-3.11-6, así que para actualizarlo mediante repos, tienen que seguir los siguientes pasos:

Entran a su consola y se loguean como súper usuarios.

En la misma consola, ingresan lo siguiente
zypper ar -f http://download.opensuse.org/repositories/Kernel:/stable/standard/Kernel:stable.repo

Está de mas avisar que cuando terminan de instalar el repo, actualizan todo con

zypper update

y dan para que confié en el keyrepo, entran a YaSt y se dirigen a Manejo de Software.

Una vez que ingresaron, como siempre, usan el buscador para buscar su kernel, van a ver que pueden encontrar varias versiones

Vainilla (kernel original, tal como sale de kernel.org), desktop (no recomendado, su nombre lo dice todo, pero al instalarlo en mi pc, me dejo sin funcion todos los USB, por lo tanto, sin mouse ni teclado) y default (es el creado por los de OpenSUSE para cualquier dispositivo, y el que les recomiendo).

También esta Xen que lo pueden usar cuando estén en una maquina virtual ya instalado cierran todo y dan a reiniciar el sistema.

Al reiniciar el sistema, si van a opciones avanzadas lograran ver que tienen las nuevas opciones del kernel linux_3.12.2-1, y al hacer uname -r en su consola, van a poder ver que efectivamente se ha instalado su nuevo kernel:

Comparte para difundir

Si te ha gustado nuestro contenido ahora puedes ayudar a difundirlo en las redes sociales de manera sencilla usando los siguientes botones:

Envía
Pinea
Print

16 comentarios

  1.   Thorzan dijo

    Una pregunta, ¿el nuevo Kernel queda como primera opción por defecto en el arranque?

    1.    illukki dijo

      Hola Thorzan, normalmente al actualizar a un nuevo kernel, este queda en el primer arranque del grub. Saludos.

      1.    Thorzan dijo

        Gracias 🙂

    2.    freebsddick dijo

      lo cierto es que no importa el lugar donde te coloque el nuevo kernel tienes la opcion de modificarlo manualmente. no es algo tan dificil la verdad

  2.   Curefox dijo

    ‘OpenSUSE viene con un kernel algo anticuado linux-3.11-6’
    Que no se me malinterprete, pero decir que ese es un kernel anticuado es estar mal.
    Ahora resulta que si no se tiene el ultimo kernel salido del horno estamos anticuados o como otros dicen obsoleto.
    El daño que hace la versionitis.

    1.    Fega dijo

      Y viendo como Ubuntu u otras distros traen versiones mucho mas “anticuadas” pues es preferible optar por lo anticuado y estable antes que la última actualización y encontrarte con problemas

    2.    PablEitor dijo

      no es que este mal, pero considerando la estabilidad de suse, y las mejoras que ha traido ultimamente el kernel 3.12, no es muy loco el pensar en actualizarlo, yo lo actualice, y con el default, anda de mil maravillas

      1.    eliotime3000 dijo

        Mejor, te recomiendo que uses Arch para que no te quejes con la obsolencia.

        1.    PablEitor dijo

          probe arch, no me gusto sinceramente, tengo una velocidad de conexion de 8MB/s lo cual deberian ser mas que suficientes como para que se descargue el entorno de KDE en aprox 20 minutos, lo cual las dos veces que probe, llego a la hora y media, mas que si estuviera en w$, y ademas es muy sencible, sin hablar de que nunca pude montar un lamp, ni con xampp, siempre me tiraba un error en la base de datos cuando queria arrancar phpmyadmin, ademas que no es que me queje de la obsolencia, para mi, como para muchos usuarios, me gusta la idea de tener simplemente el kernel actualizado, pero nada mas que el kernel, por que significa mayor seguridad y estabilidad en el sistema, por que la comunidad le presta mas atencion al ultimo kernel estable que a los anteriores

          1.    eliotime3000 dijo

            Pues, en Arch Linux (o en este mismo blog), también puedes echarle una ojeada a la instalación de Arch Liinux. En KDE, tienes que usar el metapaquete KDE-Meta, ya que te permite escoger qué componentes indispensables quieres instalar en tu PC. Lo mismo sucede con Debian y/o sucesores.

            Ahora, con lo del núcleo, yo ando usando el kernel 3.2 de mi Debian Wheezy. En caso de tener problemas de fuerza mayor (exploits, malware del inframundo), lo actualizaría. Para LAMP, Debian es mucho más sencillo de gestionar.

          2.    freebsddick dijo

            Si no puedes hacer las configuraciones necesarias no es porque el software presente en arch este mal, si no que es un caso severo de Capa 8.

          3.    eliotime3000 dijo

            @freebsddick:

            True Story.

  3.   jecale47 dijo

    Gracias PablEitor, excelente tuto, quedó lista mi máquina.

  4.   heribetocha dijo

    ¿esto afecta si tengo instalado virtual box?

    1.    sieg84 dijo

      sí, te tocará reintalar de nuevo.
      igual con los driver NVIDIA/AMD

  5.   ugerjose dijo

    genial post, ya actualice pero no me reconoce el wifi con el nuevo kernel, que puedo hacer hay? con el anterior si

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.